Index: Doc/Backend/PHPDoc/errors.html
===================================================================
--- Doc/Backend/PHPDoc/errors.html	(revision 160)
+++ Doc/Backend/PHPDoc/errors.html	(revision 179)
@@ -15,7 +15,12 @@
 <a href="#Application.php">Application.php</a><br>
 <a href="#ApplicationConnector.php">ApplicationConnector.php</a><br>
+<a href="#Connector.php">Connector.php</a><br>
 <a href="#DatabaseInterface.php">DatabaseInterface.php</a><br>
 <a href="#IConnector.php">IConnector.php</a><br>
+<a href="#Logo.php">Logo.php</a><br>
 <a href="#master.php">master.php</a><br>
+<a href="#PipelineInfoPanel.php">PipelineInfoPanel.php</a><br>
+<a href="#pipelineSequencer.php">pipelineSequencer.php</a><br>
+<a href="#pipelineSequencer_1.php">pipelineSequencer_1.php</a><br>
 <a href="#Question.php">Question.php</a><br>
 <a href="#QuestionConnector.php">QuestionConnector.php</a><br>
@@ -25,6 +30,9 @@
 <a href="#Session.php">Session.php</a><br>
 <a href="#SessionConnector.php">SessionConnector.php</a><br>
+<a href="#StyleSheet.php">StyleSheet.php</a><br>
 <a href="#Survey.php">Survey.php</a><br>
 <a href="#SurveyConnector.php">SurveyConnector.php</a><br>
+<a href="#surveyEditorWidget.php">surveyEditorWidget.php</a><br>
+<a href="#Toolbox.php">Toolbox.php</a><br>
 <a href="#User.php">User.php</a><br>
 <a href="#UserConnector.php">UserConnector.php</a><br>
@@ -38,5 +46,5 @@
 <h2>Warnings:</h2><br>
 <b>Warning on line 11</b> - no @package tag was used in a DocBlock for class AnswerConnector<br>
-<b>Warning on line 164</b> - File "C:\wamp\www\researchtool\trunk\classes\AnswerConnector.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
+<b>Warning on line 117</b> - File "C:\wamp\www\researchtool\trunk\classes\AnswerConnector.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
 <a name="AnswerSet.php"></a>
 <h1>AnswerSet.php</h1>
@@ -48,5 +56,5 @@
 <h2>Warnings:</h2><br>
 <b>Warning on line 7</b> - no @package tag was used in a DocBlock for class AnswerSetConnector<br>
-<b>Warning on line 168</b> - File "C:\wamp\www\researchtool\trunk\classes\AnswerSetConnector.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
+<b>Warning on line 117</b> - File "C:\wamp\www\researchtool\trunk\classes\AnswerSetConnector.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
 <a name="Application.php"></a>
 <h1>Application.php</h1>
@@ -58,5 +66,10 @@
 <h2>Warnings:</h2><br>
 <b>Warning on line 12</b> - no @package tag was used in a DocBlock for class ApplicationConnector<br>
-<b>Warning on line 136</b> - File "C:\wamp\www\researchtool\trunk\classes\ApplicationConnector.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
+<b>Warning on line 100</b> - File "C:\wamp\www\researchtool\trunk\classes\ApplicationConnector.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
+<a name="Connector.php"></a>
+<h1>Connector.php</h1>
+<h2>Warnings:</h2><br>
+<b>Warning on line 13</b> - no @package tag was used in a DocBlock for class Connector<br>
+<b>Warning on line 84</b> - File "C:\wamp\www\researchtool\trunk\classes\Connector.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
 <a name="DatabaseInterface.php"></a>
 <h1>DatabaseInterface.php</h1>
@@ -69,8 +82,28 @@
 <b>Warning on line 12</b> - no @package tag was used in a DocBlock for interface IConnector<br>
 <b>Warning on line 20</b> - File "C:\wamp\www\researchtool\trunk\classes\IConnector.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
+<a name="Logo.php"></a>
+<h1>Logo.php</h1>
+<h2>Warnings:</h2><br>
+<b>Warning on line 12</b> - no @package tag was used in a DocBlock for class Logo<br>
+<b>Warning on line 27</b> - File "C:\wamp\www\researchtool\trunk\classes\Logo.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
 <a name="master.php"></a>
 <h1>master.php</h1>
 <h2>Warnings:</h2><br>
 <b>Warning on line 31</b> - File "C:\wamp\www\researchtool\trunk\classes\master.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
+<a name="PipelineInfoPanel.php"></a>
+<h1>PipelineInfoPanel.php</h1>
+<h2>Warnings:</h2><br>
+<b>Warning on line 11</b> - no @package tag was used in a DocBlock for class PipelineInfoPanel<br>
+<b>Warning on line 31</b> - File "C:\wamp\www\researchtool\trunk\classes\PipelineInfoPanel.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
+<a name="pipelineSequencer.php"></a>
+<h1>pipelineSequencer.php</h1>
+<h2>Warnings:</h2><br>
+<b>Warning on line 11</b> - no @package tag was used in a DocBlock for class PipelineSequencer<br>
+<b>Warning on line 191</b> - File "C:\wamp\www\researchtool\trunk\classes\pipelineSequencer.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
+<a name="pipelineSequencer_1.php"></a>
+<h1>pipelineSequencer_1.php</h1>
+<h2>Warnings:</h2><br>
+<b>Warning on line 11</b> - no @package tag was used in a DocBlock for class PipelineSequencer_1<br>
+<b>Warning on line 191</b> - File "C:\wamp\www\researchtool\trunk\classes\pipelineSequencer_1.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
 <a name="Question.php"></a>
 <h1>Question.php</h1>
@@ -82,5 +115,5 @@
 <h2>Warnings:</h2><br>
 <b>Warning on line 13</b> - no @package tag was used in a DocBlock for class QuestionConnector<br>
-<b>Warning on line 190</b> - File "C:\wamp\www\researchtool\trunk\classes\QuestionConnector.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
+<b>Warning on line 136</b> - File "C:\wamp\www\researchtool\trunk\classes\QuestionConnector.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
 <a name="ResearchToolObject.php"></a>
 <h1>ResearchToolObject.php</h1>
@@ -97,15 +130,20 @@
 <h2>Warnings:</h2><br>
 <b>Warning on line 11</b> - no @package tag was used in a DocBlock for class RespondentConnector<br>
-<b>Warning on line 122</b> - File "C:\wamp\www\researchtool\trunk\classes\RespondentConnector.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
+<b>Warning on line 90</b> - File "C:\wamp\www\researchtool\trunk\classes\RespondentConnector.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
 <a name="Session.php"></a>
 <h1>Session.php</h1>
 <h2>Warnings:</h2><br>
 <b>Warning on line 8</b> - no @package tag was used in a DocBlock for class Session<br>
-<b>Warning on line 40</b> - File "C:\wamp\www\researchtool\trunk\classes\Session.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
+<b>Warning on line 153</b> - File "C:\wamp\www\researchtool\trunk\classes\Session.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
 <a name="SessionConnector.php"></a>
 <h1>SessionConnector.php</h1>
 <h2>Warnings:</h2><br>
 <b>Warning on line 12</b> - no @package tag was used in a DocBlock for class SessionConnector<br>
-<b>Warning on line 227</b> - File "C:\wamp\www\researchtool\trunk\classes\SessionConnector.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
+<b>Warning on line 174</b> - File "C:\wamp\www\researchtool\trunk\classes\SessionConnector.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
+<a name="StyleSheet.php"></a>
+<h1>StyleSheet.php</h1>
+<h2>Warnings:</h2><br>
+<b>Warning on line 12</b> - no @package tag was used in a DocBlock for class StyleSheet<br>
+<b>Warning on line 33</b> - File "C:\wamp\www\researchtool\trunk\classes\StyleSheet.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
 <a name="Survey.php"></a>
 <h1>Survey.php</h1>
@@ -117,5 +155,15 @@
 <h2>Warnings:</h2><br>
 <b>Warning on line 7</b> - no @package tag was used in a DocBlock for class SurveyConnector<br>
-<b>Warning on line 184</b> - File "C:\wamp\www\researchtool\trunk\classes\SurveyConnector.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
+<b>Warning on line 128</b> - File "C:\wamp\www\researchtool\trunk\classes\SurveyConnector.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
+<a name="surveyEditorWidget.php"></a>
+<h1>surveyEditorWidget.php</h1>
+<h2>Warnings:</h2><br>
+<b>Warning on line 11</b> - no @package tag was used in a DocBlock for class surveyEditorWidget<br>
+<b>Warning on line 101</b> - File "C:\wamp\www\researchtool\trunk\classes\surveyEditorWidget.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
+<a name="Toolbox.php"></a>
+<h1>Toolbox.php</h1>
+<h2>Warnings:</h2><br>
+<b>Warning on line 11</b> - no @package tag was used in a DocBlock for class Toolbox<br>
+<b>Warning on line 45</b> - File "C:\wamp\www\researchtool\trunk\classes\Toolbox.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
 <a name="User.php"></a>
 <h1>User.php</h1>
@@ -127,7 +175,7 @@
 <h2>Warnings:</h2><br>
 <b>Warning on line 11</b> - no @package tag was used in a DocBlock for class UserConnector<br>
-<b>Warning on line 123</b> - File "C:\wamp\www\researchtool\trunk\classes\UserConnector.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
+<b>Warning on line 89</b> - File "C:\wamp\www\researchtool\trunk\classes\UserConnector.php" has no page-level DocBlock, use @package in the first DocBlock to create one<br>
 	<p class="notes" id="credit">
-		Documentation generated on Fri, 18 Nov 2011 12:57:06 +0000 by <a href="http://www.phpdoc.org" target="_blank">phpDocumentor 1.4.3</a>
+		Documentation generated on Fri, 09 Dec 2011 09:33:27 +0000 by <a href="http://www.phpdoc.org" target="_blank">phpDocumentor 1.4.3</a>
 	</p>
 	</body>