Index: Dev/trunk/classes/pipelineSequencer.php
===================================================================
--- Dev/trunk/classes/pipelineSequencer.php	(revision 178)
+++ Dev/trunk/classes/pipelineSequencer.php	(revision 181)
@@ -60,42 +60,15 @@
             
             <div id="hiddenInputs">
-                <input type="hidden" name="selectedStep" id="selectedStepField" value="" />
-                <input type="hidden" name="pipelineString" id="pipelineStringField" value="<?php echo $stringPipeline; ?>" />
-                <input type="hidden" name="pipelineTypes" id="pipelineTypeField" value="<?php echo $stringPipelineType; ?>" />
-                <input type="hidden" name="pipelineUpDated" id="pipelineUpdatedField" value="<?php echo $stringPipelineUpdated; ?>" />
-                <input type="hidden" name="numSteps" id="numSteps" value="<?php echo $numberOfSteps; ?>" />
-                <input type="hidden" name="session" id="sessionField" value="<?php echo $this->loadedSession->uid; ?>" />
+                <input type="hidden" id="selectedStepField" value="" />
+                <input type="hidden" id="pipelineStringField" value="<?php echo $stringPipeline; ?>" />
+                <input type="hidden" id="pipelineTypeField" value="<?php echo $stringPipelineType; ?>" />
+                <input type="hidden" id="pipelineUpdatedField" value="<?php echo $stringPipelineUpdated; ?>" />
+                <input type="hidden" id="numSteps" value="<?php echo $numberOfSteps; ?>" />
+                <input type="hidden" id="sessionField" value="<?php echo $this->loadedSession->uid; ?>" />
+                <input type="hidden" id="sessionTitleField" value="<?php echo $this->loadedSession->title; ?>" />
             </div>
         </div>
 
-        <!--
-        <form name="sequencerForm" action="pipelineEditor.php" method="post">
-            <fieldset id="sequencer">
-                <div class="fieldsetTitle">Name: <?php echo $this->loadedSession->title; ?> </div>
-
-                <div id="seqContent">
-                    <div id="seqContentWrapper"></div>
-                </div>
-
-                <div id="controls">
-                    <input type="button" id="moveSelectedL" value="< Move" class="surveyButton"  onClick="moveStep(-1);" />
-                    <input type="button" id="moveSelectedR" value="Move >" class="surveyButton"  onClick="moveStep(1);" />
-                    <input type="button" id="editSelected" value="Edit step" class="surveyButton" onClick="editStep();" />
-                    <input type="button" id="deleteSelected" value="Delete step" class="surveyButton" onClick="deleteStep();" />
-                    <input type="submit" id ="clearPipeline" name="clearPipeline" value="Clear pipeline" class="surveyButton dis" disabled="true"/>
-                    <input type="checkbox" id="confirmClear" name="confirmClear" onChange="IsCheckEnabled(this, document.getElementById('clearPipeline'));" />Really clear?
-                    <input type="button" value="debug_save" onClick="savePipeline(true);" />
-                </div>
-                <div id="hiddenInputs">
-                    <input type="hidden" name="selectedStep" id="selectedStepField" value="" />
-                    <input type="hidden" name="pipelineString" id="pipelineStringField" value="<?php echo $stringPipeline; ?>" />
-                    <input type="hidden" name="pipelineTypes" id="pipelineTypeField" value="<?php echo $stringPipelineType; ?>" />
-                    <input type="hidden" name="pipelineUpDated" id="pipelineUpdatedField" value="<?php echo $stringPipelineUpdated; ?>" />
-                    <input type="hidden" name="numSteps" id="numSteps" value="<?php echo $numberOfSteps; ?>" />
-                    <input type="hidden" name="session" id="sessionField" value="<?php echo $this->loadedSession->uid; ?>" />
-                </div>
-            </fieldset>
-        </form>
-        -->
+        
         <?php
     }
@@ -103,9 +76,10 @@
     public function Javascript() {
         ?>
+        <script type="text/javascript" src="js/generalScripts.js"></script>
         <script type="text/javascript" src="js/sequencerScripts.js"></script>
         <script type="text/javascript" src="js/jquery.js"></script>
         <script type="text/javascript">
             $(document).ready(function() {
-                updateSequencer(true);      // true means it is the first refresh of the page.
+                loadSequencer();      // true means it is the first refresh of the page.
             });
         </script>
@@ -172,21 +146,4 @@
     }
 
-    // Dit is een pure php versie. Deze slaat nog niet op in de Database, en reageert nog niet op 
-    public function MoveStep($uid, $direction) {
-        $newSession = $this->loadedSession;
-
-        for ($i = 0; $i < count($newSession->pipeline); $i++) {
-            if ($newSession->pipeline[$i]->uid == $uid) {
-                $temp = $newSession->pipeline[$i];
-                $newSession->pipeline[$i] = $newSession->pipeline[$i + $direction];
-                $newSession->pipeline[$i + $direction] = $temp;
-                break;
-            }
-        }
-
-        $this->loadedSession = $newSession;
-        redirect("pipelineEditor.php");
-    }
-
 }
 ?>