Index: Doc/Backend/DBInterface.tex
===================================================================
--- Doc/Backend/DBInterface.tex	(revision 189)
+++ Doc/Backend/DBInterface.tex	(revision 196)
@@ -151,37 +151,46 @@
 		way around this, so here is a complete overview of arguments per type. \\
 		\begin{tabular}{| l | c | c | l |} \hline
-			\textbf{Type} 					& \textbf{Argument name} 	& \textbf{Argument type} 	& \textbf{Extra notes}  \\ \hline \hline
-			\multirow{3}{*}{Answer}			& uid						& String					&						\\
+			\textbf{Type} 						& \textbf{Argument name} 		& \textbf{Argument type} 		& \textbf{Extra notes}  \\ \hline \hline
+			\multirow{3}{*}{Answer}					& uid						& String					&						\\
 											& question					& String					& UID of the question	\\
-											& values					& Array of Strings			& 						\\ \hline \hline
-			\multirow{4}{*}{AnswerSet}		& uid						& String					& 						\\
+											& values					& Array of Strings				& 						\\ \hline \hline
+			\multirow{4}{*}{AnswerSet}				& uid						& String					& 						\\
 											& survey					& String					& UID of the Survey		\\
 											& respondent				& String					& UID of the Respondent	\\
-											& answers					& Array of Strings			& UIDs of the Answers   \\ \hline \hline
-			\multirow{4}{*}{Application}	& uid						& String					& \\
-											& title						& String					& \\
-											& description				& String					& \\
-											& style						& String					& \\ \hline \hline
-			\multirow{5}{*}{Question}		& code						& String					& \\
-											& title						& String					& \\
-											& type						& String					& \\
-											& description				& String					& \\
+											& answers					& Array of Strings				& UIDs of the Answers   \\ \hline \hline
+			\multirow{4}{*}{Application}				& uid						& String					& \\
+											& title						& String					& \\
+											& description					& String					& \\
+											& style					& String					& \\ \hline \hline
+			\multirow{5}{*}{Question}				& code					& String					& \\
+											& title						& String					& \\
+											& type					& String					& \\
+											& description					& String					& \\
 											& category					& String					& \\
-											& definedanswers					& Array of Strings			& String values of possible answers \\ \hline \hline
-			\multirow{3}{*}{Respondent/User}& uid						& String					& \\
-											& name						& String					& \\
+											& definedanswers				& Array of Strings				& String values of possible answers \\ \hline \hline
+			\multirow{3}{*}{Respondent/User}			& uid						& String					& \\
+											& name					& String					& \\
 											& password					& String					& Use hashes to store passwords \\ \hline \hline
-			\multirow{6}{*}{Session}		& uid						& String					& \\
+			\multirow{7}{*}{Session}					& uid						& String					& \\
 											& title						& String					& \\
 											& creator					& String					& UID of the User \\
-											& datetime					& String					& Unix Timestamp. No way to search on intervals (yet). \\
-											& applications				& Array of Strings			& UIDs of the Applications \\
-											& surveys					& Array of Strings			& UIDs of the Surveys \\
-											& answersets				& Array of Strings			& UIDs of the AnswerSets \\ \hline \hline
-			\multirow{4}{*}{Survey}			& uid						& String					& \\
-											& title						& String					& \\
-											& description				& String					& \\
+											& creationdate				& String					& Unix Timestamp. No way to search on intervals (yet). \\
+											& applications				& Array of Strings				& UIDs of the Applications \\
+											& surveys					& Array of Strings				& UIDs of the Surveys \\
+											& answersets				& Array of Strings				& UIDs of the AnswerSets \\ \hline \hline
+			\multirow{9}{*}{SessionInstance}			& uid						& String					&  \\
+											& title						& String					& \\
+											& location				 	& String					& \\
+											& facilitator					& String					& UID of the user that facilitated the session \\
+											& startime					& String					& Unix Timestamp. No way to search on intervals (yet). \\
+											& endtime					& String					& Unix Timestamp. No way to search on intervals (yet). \\
+											& notes					& Array of Strings				& \\
+											& session					& String					& UID of the Session this Instance refers to. \\
+											& resultset					& String					& UID of the ResultSet this Instance has. \\ \hline \hline
+			\multirow{4}{*}{Survey}					& uid						& String					& \\
+											& title						& String					& \\
+											& description					& String					& \\
 											& creator					& String					& UID of the user that created this survey \\
-											& questions					& Array of Strings			& UIDs of the Questions \\ \hline \hline
+											& questions					& Array of Strings				& UIDs of the Questions \\ \hline \hline
 		\end{tabular} \\
 
@@ -223,6 +232,6 @@
 		This goes in two parts. Firstly, the database now assumes that given an entry, all the fields for its type are there and
 		filled in. This is unwanted since it can cause issues with backwards compatability of certain .rdf files. Secondly, it
-		assumes that fields containing a UID to a different entry actually point to a valid entry. For instance, a Survey query will
-		try to get a User object as its creator value from the database as well, assuming it exists. It will break if this user object
+		assumes that fields containing a UID to a different entry actually point to a valid entry. For instance, a Survey evaluation will
+		try to get a User object as its creator value from the database as well, assuming it exists. It will return false if this user object
 		does not exist.
 