Index: Dev/branches/Cartis/css/aapje.css
===================================================================
--- Dev/branches/Cartis/css/aapje.css	(revision 197)
+++ Dev/branches/Cartis/css/aapje.css	(revision 197)
@@ -0,0 +1,171 @@
+/* 
+    Document   : style
+    Created on : 12-jul-2011, 15:12:02
+    Author     : fpvanagthoven
+    Description:
+        Purpose of the stylesheet follows.
+*/
+
+/* 
+   TODO customize this sample style
+   Syntax recommendation http://www.w3.org/TR/REC-CSS2/
+*/
+h1 {
+    width: 100%;
+    text-align: center;
+    color: white;
+    text-shadow: #888 0px 0px 1em;
+    margin: 0 0 0.1em 0;
+}
+
+h2 {
+    margin: 0;
+    font-size: larger;
+}
+
+h3 {
+    margin: 0;
+    font-size: small;
+    font-weight: normal;
+    color: #333;
+}
+
+legend {
+    padding-left: 0em;
+    color: #fff;
+    text-shadow: #000 0px 0px .4em;
+}
+
+fieldset {
+    background-color: #aeb2b3;
+    border: 1px solid #fff;
+    -moz-border-radius: 1em;
+    border-radius: 1em;
+    margin-bottom: 2em;
+    padding: 0 1em 1em 1em;
+    -moz-box-shadow: 2px 2px 1px #888;
+    -webkit-box-shadow: 2px 2px 1px #888;
+    box-shadow: 2px 2px 1px #888;
+}
+html {
+    background-image: url('../images/bg/blueishgridblock.png');
+    height: 100%;
+    font-size: 12px;
+}
+
+root { 
+    display: block;
+}
+
+body {
+    font-family: sans-serif;
+    background-image: url('../images/bg/blueishgrid.png');
+    background-repeat: repeat-x;
+    margin: 0;
+    padding: 0;
+    height: 100%;
+}
+
+input {
+    background-color: #c6c6c6;
+    border: 1px solid #888;
+}
+
+textarea {
+    background-color: #c6c6c6;
+    border: 1px solid #888;
+}
+
+select {
+    background-color: #c6c6c6;
+    border: 1px solid #888;
+}
+
+#wrapper {
+    width: 80%;
+    min-width: 800px;
+    margin: auto;
+}
+
+#header {
+    height: 4em;
+    background-color: transparent;
+}
+
+#logo{
+    background-image: url('../images/headlogo.png');
+    background-position: top center;
+    background-repeat: no-repeat;
+    font-size: 2em;
+    font-weight: bold;
+    text-align: center;
+    padding-top: 15px;
+    /*line-height: 2em;*/
+    text-shadow: #555 0px 0px .2em;
+    height: 189px;
+}
+
+#logo a {
+    text-decoration: none;
+    color: #ddd;
+}
+
+#logo a:hover {
+    color: #fff;
+}
+
+#content {
+    position: relative;
+    width: 100%;
+    padding: 2em 0;
+}
+
+/* ################################################################## 
+   ===================== STYLESHEET OF GLORY ======================== */
+
+.menu {
+    width: 30em;
+    margin: 1em auto 0 auto;
+    padding: 2em;
+    text-align: center;
+    background-image: url('../images/bg/graygradient.png');
+    background-repeat: repeat-x;
+    background-color: #aeb2b3;
+    -moz-border-radius: 15px;
+    border-radius: 15px; 
+    border: 1px solid white;
+}
+
+.selectionmenu {
+    padding: 2em;
+    margin: 1em;
+    width:20%;
+    height: 25%;
+    overflow: auto; 
+    text-align: center;
+    background-image: url('../images/bg/graygradient.png');
+    background-repeat: repeat-x;
+    background-color: #aeb2b3;
+    -moz-border-radius: 15px;
+    border-radius: 15px; 
+    border: 1px solid white;
+    float: left;
+}
+
+.menuButtons {
+    float: left;
+}
+
+.toLoad {
+    background-color: #c6c6c6;
+    width: 23em;
+    height: 10em;
+}
+
+.feedback {
+    color: #fff;       
+    font-size: 30px;
+}
+
+
+
Index: Dev/branches/Cartis/selectSession.php
===================================================================
--- Dev/branches/Cartis/selectSession.php	(revision 194)
+++ Dev/branches/Cartis/selectSession.php	(revision 197)
@@ -70,6 +70,7 @@
     <body>
         <div id="header">
-            <?php new Logo(); ?>
+            <?php new Logo(); ?>          
         </div>
+          <a href="aapje.php">Ga naar Data selection</a>
 
         <div id="wrapper">
@@ -116,4 +117,5 @@
             </div>
         </div>
+                        
     </body>
 </html>